Package org.gradle.normalization

## Interface InputNormalizationHandler

-     public interface InputNormalizationHandler

  Used to configure input normalization. Currently, it is only possible to configure runtime classpath normalization.
  Since:
    4.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RuntimeClasspathNormalization` | `getRuntimeClasspath()` | Returns the normalization strategy for the runtime classpath.
    `void` | `runtimeClasspath​(Action<? super RuntimeClasspathNormalization> configuration)` | Configures the normalization strategy for the runtime classpath.

- - ### Method Detail

    - #### getRuntimeClasspath

          RuntimeClasspathNormalization getRuntimeClasspath()

      Returns the normalization strategy for the runtime classpath.

    - #### runtimeClasspath

          void runtimeClasspath​(Action<? super RuntimeClasspathNormalization> configuration)

      Configures the normalization strategy for the runtime classpath.